Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.metadata.portlet
Class ElementMetaData

    java.lang.Object
      org.jboss.portal.core.metadata.portlet.ElementMetaData

Direct Known Subclasses:
  LinkElementMetaData, NamedMetaElementMetaData, ScriptElementMetaData

    public abstract class ElementMetaData

extends java.lang.Object

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary
`protected java.lang.String` | `bodyContent` .
`protected MarkupElement` | `element` .

Constructor Summary
`protected` | `ElementMetaData()`

Method Summary
`protected abstract MarkupElement` | `buildElement()`
`static ElementMetaData` | `createLinkElement(java.lang.String type, java.lang.String rel, java.lang.String href, java.lang.String media, java.lang.String title)` Create a link header element.
`static ElementMetaData` | `createNamedMetaElement(java.lang.String name, java.lang.String content)` Create a meta header element.
`static ElementMetaData` | `createScriptElement(java.lang.String type, java.lang.String src)` Create a script header element.
`java.lang.String` | `getBodyContent()`
`MarkupElement` | `getElement()`
`void` | `init()`
`void` | `setBodyContent(java.lang.String bodyContent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bodyContent

    protected java.lang.String bodyContent

  .

### element

    protected MarkupElement element

  .

Constructor Detail

### ElementMetaData

    protected ElementMetaData()

Method Detail

### init

    public void init()

### buildElement

    protected abstract MarkupElement buildElement()

### getElement

    public MarkupElement getElement()

### getBodyContent

    public java.lang.String getBodyContent()

### setBodyContent

    public void setBodyContent(java.lang.String bodyContent)

### createNamedMetaElement

    public static ElementMetaData createNamedMetaElement(java.lang.String name,
                                                         java.lang.String content)

  Create a meta header element.

  This element will create a meta tag.

  Parameters:
    `name` - name attribute of the meta element
    `content` - content attribute of the meta element
  Returns:
    a new meta header element

### createLinkElement

    public static ElementMetaData createLinkElement(java.lang.String type,
                                                    java.lang.String rel,
                                                    java.lang.String href,
                                                    java.lang.String media,
                                                    java.lang.String title)

  Create a link header element.

  This element will create a link tag.

  Parameters:
    `type` - the type attribute of the link
    `rel` - the rel attribute of the link
    `href` - the href attribute of the link
    `media` - the media attribute of the link
  Returns:
    a new link header element

### createScriptElement

    public static ElementMetaData createScriptElement(java.lang.String type,
                                                      java.lang.String src)

  Create a script header element.

  This element will create a script tag.

  Parameters:
    `type` - the type attribute of this script
    `src` - the src attribute of this script
  Returns:
    a new script header element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD